Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Ebuild for multi-threaded ("multi-core") mplayer (ffmpeg-mt)
View unanswered posts
View posts from last 24 hours

Goto page 1, 2, 3, 4  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
RealNC
Tux's lil' helper
Tux's lil' helper


Joined: 13 Apr 2008
Posts: 148

PostPosted: Wed Aug 26, 2009 3:51 pm    Post subject: Ebuild for multi-threaded ("multi-core") mplayer ( Reply with quote

Here is an ebuild for mplayer that uses ffmpeg-mt (http://gitorious.org/ffmpeg/ffmpeg-mt) instead of normal ffmpeg. ffmpeg-mt is a multi-threaded version of ffmpeg that speeds up H.264/AVC, MPEG-1 and MPEG-2 decoding on multi-core CPUs (useful for CPU intensive HD video, like 1080p or high-bitrate 720p). ffmpeg-mt is a Google Summer of Code project of ffmpeg and at some point will be included upstream.

The ebuild can be found in the "multimedia" overlay, which is in layman. You can also get it from from Gentoo Bugzilla:

https://bugs.gentoo.org/show_bug.cgi?id=282154

You do not need to download any tarballs or anything else. The ebuild will grab everything on its own.

The multithreading patch is only applied if the "ffmpeg-mt" USE flag is set. If it's not set, the vanilla, mplayer-bundled ffmpeg is used. By default, this USE flag is enabled.

To use multithreading, you need to pass "-lavdopts threads=N" to mplayer. "N" is the amount of threads you want mplayer to utilize. A value of "2" should be enough even on quad cores to play 1080p HD video smoothly. If not, increase to 3 or 4. Of course higher numbers than the amount of CPU cores don't make sense and can even have negative results due to added overhead.

If you use SMPlayer instead of "raw" mplayer, you only need to set the appropriate option in its configuration dialog ("Performance" section, "Threads for decoding" field.)

With the "ffmpeg-mt" USE flag enabled, I can confirm that mplayer spawns the appropriate amount of threads and CPU load is distributed equally among them (with the end effect being that on my dual core both cores are doing video decoding.)


Last edited by RealNC on Fri Nov 05, 2010 6:54 am; edited 9 times in total
Back to top
View user's profile Send private message
RealNC
Tux's lil' helper
Tux's lil' helper


Joined: 13 Apr 2008
Posts: 148

PostPosted: Sat Sep 19, 2009 4:53 pm    Post subject: Reply with quote

I updated the ffmpeg-mt-enabled mplayer ebuild, tarball and patch to latest version again (2009-09-19), due to a huge update in ffmpeg-mt. See bugzilla link in my first post.
Back to top
View user's profile Send private message
PraetorZero
Apprentice
Apprentice


Joined: 11 Dec 2004
Posts: 239
Location: /home

PostPosted: Mon Sep 21, 2009 2:29 am    Post subject: Reply with quote

I've been using your ebuild for a few months now and it's made a huge difference in eaking out more performance from a low-end dual-core cpu.

Thanks for the ebuild and the patch!
_________________
What's the worst that can happen?
Back to top
View user's profile Send private message
RealNC
Tux's lil' helper
Tux's lil' helper


Joined: 13 Apr 2008
Posts: 148

PostPosted: Sun Oct 11, 2009 1:02 am    Post subject: Reply with quote

There was another big ffmpeg-mt update (299 Git commits). I updated the ebuild.

This ebuild works stand-alone now; you don't need to manually download the tarball of the mplayer SVN snapshot nor the ffmpeg-mt patch. The ebuild will take care of that. So now simply put the ebuild in your local overlay and digest it. Furthermore, the ffmpeg-mt USE flag is enabled by default now.
Back to top
View user's profile Send private message
cruzki123
Apprentice
Apprentice


Joined: 16 May 2008
Posts: 248

PostPosted: Sun Oct 11, 2009 1:40 pm    Post subject: Reply with quote

Thank, I will test asap.

EDIT:

Compile fine, but seems that don't work.

Code:

cruzki@artemisa /home/cajon/pelis $ mplayer -lavdopts threads=2 Los\ Mundos\ de\ Coraline\ \[DVDRIP\].avi
MPlayer SVN-r29769-4.4.1 (C) 2000-2009 MPlayer Team
Reproduciendo Los Mundos de Coraline [DVDRIP].avi.
Detectado formato de archivo AVI.
[aviheader] Stream de video encontrado, -vid 0
[aviheader] Stream de audio encontrado, -aid 1
VIDEO:  [XVID]  720x400  24bpp  23.976 fps  1880.3 kbps (229.5 kbyte/s)
Informaci�n de clip:
 Software: VirtualDubMod 1.4.13
==========================================================================
Abriendo decodificador de video: [ffmpeg] FFmpeg's libavcodec codec family.
Video codec seleccionado: [ffodivx] vfm: ffmpeg (FFmpeg MPEG-4)
==========================================================================
==========================================================================
Abriendo decodificador de audio: [mp3lib] MPEG layer-2, layer-3.
AUDIO: 44100 Hz, 2 ch, s16le, 128.0 kbit/9.07% (ratio: 16000->176400)
Audio codec seleccionado: [mp3] afm: mp3lib (mp3lib MPEG layer-2, layer-3)
==========================================================================
AO: [alsa] 48000Hz 2ch s16le (2 bytes per sample)
Comenzando la reproducci�n...
[mpeg4 @ 0xa073e0]Invalid and inefficient vfw-avi packed B frames detected
Aspecto es 1.80:1 - prescalando a aspecto correcto.
VO: [xv] 720x400 => 720x400 Planar YV12


I'm thinking I'm missing some parameter in the comman line.
Back to top
View user's profile Send private message
cord
Guru
Guru


Joined: 28 Apr 2007
Posts: 303

PostPosted: Sun Oct 11, 2009 3:26 pm    Post subject: Reply with quote

Hello all!
I tryed mplayer-mt, and it didn't work on my X2 :(

But I recently came across this:
Quote:

On >=gcc-4.4 you can add
CFLAGS += -ftree-parallelize-loops=4 -fopenmp
and all of your projects will be multithreaded :)

does anybody test it?
Back to top
View user's profile Send private message
SlashBeast
Moderator
Moderator


Joined: 23 May 2006
Posts: 2843

PostPosted: Sun Oct 11, 2009 5:48 pm    Post subject: Reply with quote

cord wrote:
Hello all!
I tryed mplayer-mt, and it didn't work on my X2 :(

But I recently came across this:
Quote:

On >=gcc-4.4 you can add
CFLAGS += -ftree-parallelize-loops=4 -fopenmp
and all of your projects will be multithreaded :)

does anybody test it?


I rebuild for test bash with "-march=core2 -mcx16 -msahf -O2 -pipe -ftree-parallelize-loops=2 -fopenmp" and any configure cant be done, always error with enable-something. Look like openmp isnt without bugs.
_________________
BitBucket -- better-initramfs
Back to top
View user's profile Send private message
RealNC
Tux's lil' helper
Tux's lil' helper


Joined: 13 Apr 2008
Posts: 148

PostPosted: Sun Oct 11, 2009 7:25 pm    Post subject: Reply with quote

The first thing to do to check whether ffmpeg-mt is at fault with files that won't play, is to disable the ffmpeg-mt USE flag of mplayer and test again.

As for the "-ftree-parallelize-loops=4 -fopenmp" flag, that won't make programs "multi-threaded" :roll: It's just an optimization parallelizing some loops.
Back to top
View user's profile Send private message
loftwyr
l33t
l33t


Joined: 29 Dec 2004
Posts: 970
Location: 43°38'23.62"N 79°27'8.60"W

PostPosted: Sun Oct 11, 2009 7:31 pm    Post subject: Reply with quote

-fopenmp just hooks up a library and allows for multi-threaded programs. On it's own it does nothing unless the programmer actually has set up his/her program to use the special calls.
_________________
My emerge --info
Have you run revdep-rebuild lately? It's in gentoolkit and it's worth a shot if things don't work well.
Celebrating 5 years of Gentoo-ing.
Back to top
View user's profile Send private message
RealNC
Tux's lil' helper
Tux's lil' helper


Joined: 13 Apr 2008
Posts: 148

PostPosted: Thu Oct 29, 2009 6:20 pm    Post subject: Reply with quote

New update: 1.0_rc4_p20091029.

There were 217 new ffmpeg-mt commits since the last ebuild. Also includes latest mplayer updates from SVN (revision 29800). Also, the ebuild has been updated to be in sync with latest in portage (1.0_rc4_p20091026-r1) which will probably result in new USE flags being enabled and/or disabled.
Back to top
View user's profile Send private message
costel78
Guru
Guru


Joined: 20 Apr 2007
Posts: 310

PostPosted: Thu Oct 29, 2009 9:04 pm    Post subject: Reply with quote

Unfortunately ffmpeg-mt conflict with normal ffmpeg.

Code:
equery depends ffmpeg
 * Searching for ffmpeg ...
app-cdr/k3b-1.68.0_alpha3 (ffmpeg ? >=media-video/ffmpeg-0.5)
media-gfx/blender-2.49b (ffmpeg ? >=media-video/ffmpeg-0.5[encode,theora])
media-libs/gegl-0.1.0-r1 (ffmpeg ? >=media-video/ffmpeg-0.4.9_p20080326)
media-libs/libquicktime-1.1.3 (ffmpeg ? >=media-video/ffmpeg-0.4.9_p20070616)
media-libs/xine-lib-1.1.16.3-r2 (>=media-video/ffmpeg-0.4.9_p20070129)
media-plugins/gst-plugins-ffmpeg-0.10.7 (>=media-video/ffmpeg-0.5)
media-plugins/xmms-wma-1.0.5-r2 (>=media-video/ffmpeg-0.4.9_p20081014)
media-sound/audacity-1.3.9 (ffmpeg ? >=media-video/ffmpeg-0.4.9_p20080617)
media-sound/sox-14.3.0 (ffmpeg ? >=media-video/ffmpeg-0.5)
media-video/cinelerra-20090210 (media-video/ffmpeg)
media-video/dv2sub-0.3 (kino ? media-video/ffmpeg)
media-video/gpac-0.4.5 (ffmpeg ? media-video/ffmpeg)
media-video/qdvdauthor-1.11.1 (media-video/ffmpeg)
media-video/transcode-1.1.4 (>=media-video/ffmpeg-0.4.9_p20081014)
media-video/videotrans-1.6.0 (media-video/ffmpeg)
media-video/vlc-1.0.3_rc (ffmpeg ? >=media-video/ffmpeg-0.4.9_p20090201)
net-libs/opal-3.6.6 (plugins & ffmpeg ? >=media-video/ffmpeg-0.5[encode])
                    (plugins & x264 ? >=media-video/ffmpeg-0.4.7)
net-libs/ptlib-2.6.5 (ffmpeg ? media-video/ffmpeg)
www-plugins/moonlight-1.0.1 (>=media-video/ffmpeg-0.4.9_p20090121)


Is there any workaround, except put every these packages in overlay and edit dependencies ?
_________________
Sorry for my English. I'm still learning this language.
Back to top
View user's profile Send private message
RealNC
Tux's lil' helper
Tux's lil' helper


Joined: 13 Apr 2008
Posts: 148

PostPosted: Thu Oct 29, 2009 9:07 pm    Post subject: Reply with quote

I'm not sure what you mean. mplayer does not use media-video/ffmpeg. It uses its own bundled version. This ebuild adds multi-threading to mplayer *only*. ffmpeg is not touched in any way.
Back to top
View user's profile Send private message
costel78
Guru
Guru


Joined: 20 Apr 2007
Posts: 310

PostPosted: Thu Oct 29, 2009 9:55 pm    Post subject: Reply with quote

My mistake. I supposed that ffmpeg-mt is required, when it's not.
_________________
Sorry for my English. I'm still learning this language.
Back to top
View user's profile Send private message
DaggyStyle
Watchman
Watchman


Joined: 22 Mar 2006
Posts: 5325

PostPosted: Fri Oct 30, 2009 6:56 am    Post subject: Reply with quote

quick question, what is the diff between ffmpeg-mt and mplayer-mt?
isn't it enough to compile ffmpeg-mt and mplayer with the external ffmpeg flag?
_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
Back to top
View user's profile Send private message
RealNC
Tux's lil' helper
Tux's lil' helper


Joined: 13 Apr 2008
Posts: 148

PostPosted: Fri Oct 30, 2009 2:45 pm    Post subject: Reply with quote

DaggyStyle wrote:
quick question, what is the diff between ffmpeg-mt and mplayer-mt?
isn't it enough to compile ffmpeg-mt and mplayer with the external ffmpeg flag?


There's no such thing as an "external ffmpeg" flag. :P
Back to top
View user's profile Send private message
DaggyStyle
Watchman
Watchman


Joined: 22 Mar 2006
Posts: 5325

PostPosted: Fri Oct 30, 2009 3:40 pm    Post subject: Reply with quote

strange, I was sure I saw that somewhere, anyway, it use its own ffmpeg-mt version or depends on the installed ffmpeg?
_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
Back to top
View user's profile Send private message
RealNC
Tux's lil' helper
Tux's lil' helper


Joined: 13 Apr 2008
Posts: 148

PostPosted: Fri Oct 30, 2009 3:51 pm    Post subject: Reply with quote

mplayer always uses its own ffmpeg and does not depend on the installed ffmpeg. That means even if you replace the installed ffmpeg with ffmpeg-mt, mplayer won't use it. That's why you need this ebuild here to replace mplayer's ffmpeg with ffmpeg-mt.

I think there was a USE flag in the past to make it use the installed one, but it got removed, probably due to problems with it.
Back to top
View user's profile Send private message
fanthom
n00b
n00b


Joined: 31 May 2007
Posts: 60

PostPosted: Wed Nov 04, 2009 10:41 am    Post subject: Reply with quote

RealNC wrote:
mplayer always uses its own ffmpeg and does not depend on the installed ffmpeg. That means even if you replace the installed ffmpeg with ffmpeg-mt, mplayer won't use it. That's why you need this ebuild here to replace mplayer's ffmpeg with ffmpeg-mt.

I think there was a USE flag in the past to make it use the installed one, but it got removed, probably due to problems with it.


not really. live mplayer ebuild from normal portage tree (not any overlay) uses external-ffmpeg flag. work without problems.
Back to top
View user's profile Send private message
huhn_m
n00b
n00b


Joined: 21 Aug 2006
Posts: 24

PostPosted: Fri Nov 06, 2009 6:07 pm    Post subject: Reply with quote

most recent ebuild fails.

> Couldn't download 'svgalib_helper-1.9.17-mplayer.tar.gz'. Aborting.

why have you removed the file??? Could you please put it up again?

Thank you!

*edit*: works with the alternate URL that is in the ebuild (directly from mplayerhq)
Back to top
View user's profile Send private message
cookiecrusher
n00b
n00b


Joined: 10 Jun 2008
Posts: 23

PostPosted: Sat Nov 07, 2009 11:45 am    Post subject: Reply with quote

I have one little question.

Does this mplayer-version handle ordered chapters or should I stay with this?
_________________
~ If love can kill people, surely hatred can save them ~
Noir - Altena, Ep 26
Back to top
View user's profile Send private message
RealNC
Tux's lil' helper
Tux's lil' helper


Joined: 13 Apr 2008
Posts: 148

PostPosted: Fri Nov 13, 2009 1:53 am    Post subject: Reply with quote

New update: mplayer-1.0_rc4_p20091113
  • ffmpeg-mt had 115 new commits
  • mplayer updated to r29906
  • the "teletext" USE flag is no more
About the removal of the "teletext" USE flag: Since mplayer 29851, the CONFIG_TV_TELETEXT configuration option is no more.
Therefore, the "teletext" USE flag has been removed from the ebuild. Teletext
is now always supported by mplayer without the need to drag-in TV support (and
the support should be rather complete now).
Back to top
View user's profile Send private message
RealNC
Tux's lil' helper
Tux's lil' helper


Joined: 13 Apr 2008
Posts: 148

PostPosted: Fri Nov 13, 2009 1:56 am    Post subject: Reply with quote

huhn_m wrote:
most recent ebuild fails.

> Couldn't download 'svgalib_helper-1.9.17-mplayer.tar.gz'. Aborting.

why have you removed the file??? Could you please put it up again?

Thank you!

*edit*: works with the alternate URL that is in the ebuild (directly from mplayerhq)


Sorry, but it's not me who removed that file :P "http://dev.gentoo.org/~ssuominen" is not me.
Back to top
View user's profile Send private message
RealNC
Tux's lil' helper
Tux's lil' helper


Joined: 13 Apr 2008
Posts: 148

PostPosted: Fri Nov 13, 2009 2:00 am    Post subject: Reply with quote

cookiecrusher wrote:
I have one little question.

Does this mplayer-version handle ordered chapters or should I stay with this?


I don't know if this has been merged into upstream mplayer. If not, then I'd say no, it does not support ordered chapters.
Back to top
View user's profile Send private message
NotQuiteSane
Guru
Guru


Joined: 30 Jan 2005
Posts: 481
Location: Klamath Falls, Jefferson, USA, North America, Midgarth

PostPosted: Fri Nov 27, 2009 9:08 am    Post subject: Reply with quote

looks like svgalib_helper is missing. using mplayer-1.0_rc4_p20091113.ebuild, I see:

Code:
pixel mplayer # ebuild mplayer-1.0_rc4_p20091113.ebuild digest
>>> Downloading 'http://dev.gentoo.org/~ssuominen/svgalib_helper-1.9.17-mplayer.tar.gz'
--2009-11-27 00:42:07--  http://dev.gentoo.org/~ssuominen/svgalib_helper-1.9.17-mplayer.tar.gz
Resolving dev.gentoo.org... 140.211.166.183
Connecting to dev.gentoo.org|140.211.166.183|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2009-11-27 00:42:07 ERROR 404: Not Found.

!!! Couldn't download 'svgalib_helper-1.9.17-mplayer.tar.gz'. Aborting.
!!! Fetch failed for svgalib_helper-1.9.17-mplayer.tar.gz, can't update Manifest


modifying the build:

Code:
pixel mplayer # cat update.patch
--- mplayer-1.0_rc4_p20091113.ebuild    2009-11-27 00:40:51.000000000 +0000
+++ mplayer-1.0_rc4_p20091113.ebuild.new        2009-11-27 00:52:14.000000000 +0000
@@ -37,8 +37,8 @@
                          mirror://mplayer/releases/fonts/font-arial-iso-8859-2.tar.bz2
                          mirror://mplayer/releases/fonts/font-arial-cp1250.tar.bz2 )
        gmplayer? ( mirror://mplayer/skins/Blue-${BLUV}.tar.bz2 )
-       svga? ( http://dev.gentoo.org/~ssuominen/svgalib_helper-${SVGV}-mplayer.tar.gz )"
-#      svga? ( http://mplayerhq.hu/~alex/svgalib_helper-${SVGV}-mplayer.tar.bz2 )
+       svga? ( http://mplayerhq.hu/~alex/svgalib_helper-${SVGV}-mplayer.tar.bz2 )"
+#      svga? ( http://dev.gentoo.org/~ssuominen/svgalib_helper-${SVGV}-mplayer.tar.gz )"
 
 DESCRIPTION="Media Player for Linux"
 HOMEPAGE="http://www.mplayerhq.hu/"


run ebuild ... digest:

Code:
pixel mplayer # ebuild mplayer-1.0_rc4_p20091113.ebuild digest
>>> Creating Manifest for /usr/local/portage/layman/nqs/media-video/mplayer


Works. however when we go to build:

Code:
pixel mplayer # pump emerge -uavt mplayer --jobs=3 --keep-going
__________Using distcc-pump from /usr/bin
__________Using 13 distcc servers in pump mode

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[ebuild     U ] media-video/mplayer-1.0_rc4_p20091113 [1.0_rc2_p20090731] USE="X a52* alsa ass directfb* doc dvd encode fbcon* ffmpeg-mt%* ftp gif jpeg live* lzo mmx mp3 osdmenu* png quicktime radio rar real sse sse2 ssse3 svga theora unicode v4l* v4l2* vorbis win32codecs x264 xscreensaver -3dnow -3dnowext -aac -aalib (-altivec) -bidi -bindist -bl -bs2b% -cddb -cdio -cdparanoia -cpudetection -custom-cpuopts -debug -dga -dirac -dts -dv -dvb -dvdnav -dxr3 -enca -esd -faac -faad -ggi -gmplayer -iconv -ipv6 -jack -joystick -ladspa -libcaca -lirc -mad -md5sum -mmxext -mng -nas -network -nut% -openal -opencore-amr% -opengl -oss -pnm -pulseaudio -pvr -rtc -samba -schroedinger -sdl -shm -speex -tga -toolame% -tremor -truetype -twolame% -vdpau -vidix -xanim -xinerama -xv -xvid -xvmc -zoran (-custom-cflags%) (-mp2%) (-teletext%)" VIDEO_CARDS="-mga -nvidia -s3virge -tdfx (-vesa%*)" 0 kB [0=>1]

Total: 1 package (1 upgrade), Size of downloads: 0 kB
Portage tree and overlays:
 [0] /usr/portage
 [1] /usr/local/portage/layman/nqs

Would you like to merge these packages? [Yes/No]

Code:
* ERROR: media-video/mplayer-1.0_rc4_p20091113 failed:
 *   failure unpacking svgalib_helper-1.9.17-mplayer.tar.bz2
 *
 * Call stack:
 *     ebuild.sh, line   49:  Called src_unpack
 *   environment, line 3073:  Called unpack 'mplayer-1.0_rc4_p20091113.tar.bz2' 'font-arial-iso-8859-1.tar.bz2' 'mplayer-1.0_rc4_p20091113-ffmpeg-mt.patch' 'svgalib_helper-1.9.17-mplayer.tar.bz2' 'font-arial-cp1250.tar.bz2' 'font-arial-iso-8859-2.tar.bz2'
 *     ebuild.sh, line  374:  Called _unpack_tar 'bzip2'
 *     ebuild.sh, line  349:  Called die
 * The specific snippet of code:
 *                              assert "$myfail"
 *
 * If you need support, post the output of 'emerge --info =media-video/mplayer-1.0_rc4_p20091113',
 * the complete build log and the output of 'emerge -pqv =media-video/mplayer-1.0_rc4_p20091113'.
 * This ebuild is from an overlay named 'NQS': '/usr/local/portage/layman/nqs/'
 * The complete build log is located at '/var/tmp/portage/media-video/mplayer-1.0_rc4_p20091113/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-video/mplayer-1.0_rc4_p20091113/temp/environment'.
 * S: '/var/tmp/portage/media-video/mplayer-1.0_rc4_p20091113/work/mplayer-1.0_rc4_p20091113'
 *
 * The following package has failed to build or install:
 *
 *  ('ebuild', '/', 'media-video/mplayer-1.0_rc4_p20091113', 'merge'), Log file:
 *   '/var/tmp/portage/media-video/mplayer-1.0_rc4_p20091113/temp/build.log'
 *
__________Shutting down distcc-pump include server
pixel mplayer #


from the build.log:

Code:
>>> Unpacking svgalib_helper-1.9.17-mplayer.tar.bz2 to /var/tmp/portage/media-video/mplayer-1.0_rc4_p20091113/work
bzip2: /var/tmp/portage/media-video/mplayer-1.0_rc4_p20091113/distdir/svgalib_helper-1.9.17-mplayer.tar.bz2 is not a bzip2 file.
tar: This does not look like a tar archive
tar: Error exit delayed from previous errors

check out the file (is symlink to one in distfiles):
Code:
pixel mplayer # file /usr/portage/distfiles/svgalib_helper-1.9.17-mplayer.tar.bz2
/usr/portage/distfiles/svgalib_helper-1.9.17-mplayer.tar.bz2: HTML document text
pixel mplayer #


html != bz2

Code:
pixel mplayer # cat /usr/portage/distfiles/svgalib_helper-1.9.17-mplayer.tar.bz2
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head profile="http://www.w3.org/2005/10/profile">
<title>Entering MPlayer homepage</title>
<meta http-equiv="refresh" content="0; URL=design7/news.html">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="design7/default.css">
<link rel="icon" href="design7/favicon.png" type="image/png">
</head>
<body>
<p>
If you are not automatically redirected, click
<a href="design7/news.html">this link to our news page</a>.
</p>
</body>
</html>
pixel mplayer #


looks to me liek that either a "click through" or missing page "re-direct"

NQS
_________________
These opinions are mine, mine I say! Piss off and get your own.

As I see it -- An irregular blog, Improved with new location

To delete French language packs from system use 'sudo rm -fr /'
Back to top
View user's profile Send private message
NotQuiteSane
Guru
Guru


Joined: 30 Jan 2005
Posts: 481
Location: Klamath Falls, Jefferson, USA, North America, Midgarth

PostPosted: Fri Nov 27, 2009 9:52 am    Post subject: Reply with quote

NotQuiteSane wrote:
looks like svgalib_helper is missing.


Fixed it. use this patch:

Code:
pixel mplayer # cat update.patch
--- mplayer-1.0_rc4_p20091113.ebuild    2009-11-27 01:45:38.000000000 +0000
+++ mplayer-1.0_rc4_p20091113.ebuild.new        2009-11-27 01:30:56.000000000 +0000
@@ -37,8 +37,10 @@
                          mirror://mplayer/releases/fonts/font-arial-iso-8859-2.tar.bz2
                          mirror://mplayer/releases/fonts/font-arial-cp1250.tar.bz2 )
        gmplayer? ( mirror://mplayer/skins/Blue-${BLUV}.tar.bz2 )
-       svga? ( http://dev.gentoo.org/~ssuominen/svgalib_helper-${SVGV}-mplayer.tar.gz )"
-#      svga? ( http://mplayerhq.hu/~alex/svgalib_helper-${SVGV}-mplayer.tar.bz2 )
+       svga?
+       ( http://www.mplayerhq.hu/MPlayer/contrib/svgalib/svgalib_helper-1.9.17-mplayer.tar.bz2 )"
+#      svga? ( http://mplayerhq.hu/~alex/svgalib_helper-${SVGV}-mplayer.tar.bz2 )"
+#      svga? ( http://dev.gentoo.org/~ssuominen/svgalib_helper-${SVGV}-mplayer.tar.gz )"
 
 DESCRIPTION="Media Player for Linux"
 HOMEPAGE="http://www.mplayerhq.hu/"
@@ -202,7 +204,7 @@
 
        use gmplayer && unpack "Blue-${BLUV}.tar.bz2"
 
-       use svga && unpack "svgalib_helper-${SVGV}-mplayer.tar.gz"
+       use svga && unpack "svgalib_helper-1.9.17-mplayer.tar.bz2"
 }
 
 src_prepare() {
pixel mplayer #


on a side note, i'd never created a patch before, so for any one searching for "how to create a patch" I used this link to learn how.

NQS
_________________
These opinions are mine, mine I say! Piss off and get your own.

As I see it -- An irregular blog, Improved with new location

To delete French language packs from system use 'sudo rm -fr /'
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page 1, 2, 3, 4  Next
Page 1 of 4

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum